Create or return an inbox
curl --request POST \
--url https://api.dairo.app/v1/inboxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "billing",
"domain": "orin-ai.app",
"localPart": "<string>",
"agent": "Inbox Agent",
"mode": "receive_send"
}
'import requests
url = "https://api.dairo.app/v1/inboxes"
payload = {
"username": "billing",
"domain": "orin-ai.app",
"localPart": "<string>",
"agent": "Inbox Agent",
"mode": "receive_send"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: 'billing',
domain: 'orin-ai.app',
localPart: '<string>',
agent: 'Inbox Agent',
mode: 'receive_send'
})
};
fetch('https://api.dairo.app/v1/inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inbox": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "jsmith@example.com",
"localPart": "<string>",
"domain": "<string>",
"mode": "receive_send",
"status": "active",
"channel": "email",
"domainStatus": "pending",
"agent": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastMessageAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}Inboxes
Create or return an inbox
Create or return an inbox
POST
/
v1
/
inboxes
Create or return an inbox
Authorizations
Dairo API key, e.g. dairo_test_... or dairo_live_...
Headers
Optional idempotency key for safe retries of side-effecting operations.
Maximum string length:
128Body
application/json
Response
Success
Show child attributes
Show child attributes